Bug 248393 - Review Request: perl-Text-WordDiff - Track changes between documents
Review Request: perl-Text-WordDiff - Track changes between documents
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-16 12:54 EDT by Steven Pritchard
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 17:58:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2007-07-16 12:54:37 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Text-WordDiff/perl-Text-WordDiff.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Text-WordDiff-0.02-2.src.rpm
Description:
This module is a variation on the lovely Text::Diff module. Rather than
generating traditional line-oriented diffs, however, it generates word-
oriented diffs. This can be useful for tracking changes in narrative
documents or documents with very long lines. To diff source code, one is
still best off using Text::Diff. But if you want to see how a short
story changed from one version to the next, this module will do the job
very nicely.
Comment 1 Parag AN(पराग) 2007-07-19 23:43:03 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
e4ad90ec41816be47db9dd1b55af3fbb  Text-WordDiff-0.02.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
t/ansicolor....ok
t/base.........ok
t/html.........ok
t/pod..........ok
All tests successful.
Files=4, Tests=41,  1 wallclock secs ( 0.40 cusr +  0.07 csys =  0.47 CPU)
+ Provides: perl(Text::WordDiff) = 0.02 perl(Text::WordDiff::ANSIColor) = 0.02
perl(Text::WordDiff::Base) perl(Text::WordDiff::HTML) = 0.02
+ Requires: perl(:MODULE_COMPAT_5.8.8) perl(Algorithm::Diff)
perl(Algorithm::Diff) >= 1.19 perl(Carp) perl(HTML::Entities)
perl(HTML::Entities) perl(IO::File) perl(Term::ANSIColor) perl(constant)
perl(strict) perl(vars)

APPROVED.
Comment 2 Steven Pritchard 2007-07-20 12:07:13 EDT
New Package CVS Request
=======================
Package Name: perl-Text-WordDiff
Short Description: Track changes between documents
Owners: steve@silug.org
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: fedora-perl-devel-list@redhat.com

Note You need to log in before you can comment on or make changes to this bug.